Member Events
Opaque Admin API key, prefixed with ms_admin_. Pass it as Authorization: Bearer ms_admin_....
Only return events for this member.
Only return events on or after this ISO 8601 date-time (inclusive).
Only return events before this ISO 8601 date-time (exclusive).
First item to return, usually equals the previous page response's X-Next-Cursor response header. Omit to fetch the first page. Cursors are opaque tokens — do not parse or construct them.
Maximum number of results to return beginning with the cursor, or if not sent the first item in the list (1-100, default 25).
25Successful operation
Invalid request (e.g. a malformed cursor).
The API key is missing, unknown, revoked, or expired.
The resource doesn't exist, or the API key lacks the scope to access it.
Rate limit exceeded. Wait the number of seconds in the Retry-After header before retrying.
GET /admin/v1/memberEvents HTTP/1.1
Host: api.memberspace.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"id": 1,
"memberId": 1,
"eventType": "abandonedConversion",
"details": {
"amount": "$8",
"chargeId": "ch_123",
"invoiceId": "in_123"
},
"createdAt": "2026-01-01T00:00:00.000Z"
}
]Last updated
Was this helpful?